<?php
/**
 * The overview block view file of block module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     block
 * @version     $Id$
 * @link        http://www.zentao.net
 */
?>
<style>
.tile-amount{font-size: 25px;}
.types-line {display: table; padding: 0; margin: 0 auto;}
.types-line > li {display: table-cell;}
.types-line > li > div {position: relative; padding: 18px 5px 5px; text-align: center;}
.types-line > li > div:before {content: ''; display: block; background: #eee;  width: 100%; height: 2px; position: absolute; left: 50%; top: 4px;}
.types-line > li:last-child > div:before {display: none;}
.types-line > li > div:after {content: ''; display: block; background: #FFFFFF; box-shadow: 0 2px 4px 0 rgba(170,170,170,0.50), 0 0 5px 0 rgba(0,0,0,0.1); width: 10px; height: 10px; position: absolute; border-radius: 50%; top: 0; left: 50%; margin-left: -2px;}
.types-line > li > div > small {display: block; color: #A6AAB8;}
.types-line > li > div > span {display: block; color: #CBD0DB; font-size: 16px;}
.product-info {position: relative; height: 65px;}
.product-info + .product-info {margin-top: 10px;}
.product-info .progress {position: absolute; left: 10px; top: 35px; right: 90px;}
.product-info .progress-info {position: absolute; left: 8px; top: 10px; width: 180px; font-size: 12px;}
.product-info .type-info {color: #A6AAB8; text-align: center; position: absolute; right: 0; top: 6px; width: 100px;}
html[lang="en"] .product-info .type-info {color: #A6AAB8; text-align: center; position: absolute; right: 0; top: 6px; width: 130px;}
.product-info .type-value,
.product-info .type-label {font-size: 12px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;}
.product-info .type-value {font-size: 14px;}
.product-info .type-value > strong {font-size: 20px; color: #3C4353;}
.product-info .actions {position: absolute; left: 10px; top: 14px;}
.block-overview .panel-body {padding-top: 0}
.block-overview .tile {width: 20%; margin-bottom: 30px;}
.block-overview .col-nav {border-right: 1px solid #EBF2FB; width: 260px; padding: 0;}
.block-overview .nav-secondary > li {position: relative}
.block-overview .nav-secondary > li > a {font-size: 14px; color: #838A9D; position: relative; box-shadow: none; padding-left: 20px; white-space: nowrap; text-overflow: ellipsis; overflow: hidden; transition: all .2s;}
.block-overview .nav-secondary > li > a:first-child {padding-right: 36px;}
.block-overview .nav-secondary > li.active > a:first-child {color: #3C4353; background: transparent; box-shadow: none;}
.block-overview .nav-secondary > li.active > a:first-child:hover,
.block-overview .nav-secondary > li.active > a:first-child:focus,
.block-overview .nav-secondary > li > a:first-child:hover {box-shadow: none; border-radius: 4px 0 0 4px;}
.block-overview .nav-secondary > li.active > a:first-child:before {content: ' '; display: block; left: -1px; top: 10px; bottom: 10px; width: 4px; background: #006af1; position: absolute;}
.block-overview .nav-secondary > li > a.btn-view {position: absolute; top: 0; right: 0; bottom: 0; padding: 8px; width: 36px; text-align: center; opacity: 0;}
.block-overview .nav-secondary > li:hover > a.btn-view {opacity: 1}
.block-overview .nav-secondary > li.active > a.btn-view {box-shadow: none}
.block-overview .nav-secondary > li.switch-icon {display: none;}
</style>
<script>
<?php $blockNavId = 'nav-' . uniqid(); ?>
$(function()
{
    var $nav = $('#<?php echo $blockNavId;?>');
    $nav.on('click', '.switch-icon', function(e)
    {
        var isPrev = $(this).is('.prev');
        var $activeItem = $nav.children('.active');
        var $next = $activeItem[isPrev ? 'prev' : 'next']('li:not(.switch-icon)');
        if ($next.length) $next.find('a').trigger('click');
        else $nav.children('li:not(.switch-icon)')[isPrev ? 'last' : 'first']().find('a').trigger('click');
        e.preventDefault();
    });
});
</script>
<div class="panel-body">
  <div class="table-row">
    <div class="col col-nav">
      <ul class="nav nav-stacked nav-secondary scrollbar-hover" id='<?php echo $blockNavId;?>'>
        <li class='switch-icon prev'><a><i class='icon icon-arrow-left'></i></a></li>
        <?php foreach($projects as $projectID => $projectName):?>
        <li <?php if($projectName == reset($projects)) echo "class='active'";?> projectID='<?php echo $projectID;?>'>
          <a href="###" data-target="#tab3Content<?php echo $projectID;?>" data-toggle="tab"><?php echo $projectName;?></a>
          <?php if($projectID != 'total') echo html::a(helper::createLink('project', 'view', "projectID=$projectID"), "<i class='icon-arrow-right text-primary'></i>", '', "class='btn-view' title={$projectName}");?>
        </li>
        <?php endforeach;?>
        <li class='switch-icon next'><a><i class='icon icon-arrow-right'></i></a></li>
      </ul>
    </div>
    <div class="col tab-content">
      <?php foreach($projects as $projectID => $projectName):?>
      <div class="tab-pane fade<?php if($projectName == reset($projects)) echo ' active in';?>" id="tab3Content<?php echo $projectID;?>">
        <div class="row tiles">
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->storyCounts;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['stories']) ? $datas[$projectID]['stories'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->taskCounts;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['tasks']) ? $datas[$projectID]['tasks'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->estimate;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['estimate']) ? $datas[$projectID]['estimate'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->consumed;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['consumed']) ? $datas[$projectID]['consumed'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->left;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['left']) ? $datas[$projectID]['left'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->bugCounts;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['totalBugs']) ? $datas[$projectID]['totalBugs'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->sprintCounts;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['sprints']) ? $datas[$projectID]['sprints'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->releaseCounts;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['releases']) ? $datas[$projectID]['releases'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->planCounts;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['plans']) ? $datas[$projectID]['plans'] : 0;?></div>
          </div>
          <div class="col tile">
            <div class="tile-title"><?php echo $lang->block->report->members;?></div>
            <div class="tile-amount"><?php echo isset($datas[$projectID]['members']) ? $datas[$projectID]['members'] : 0;?></div>
          </div>
        </div>
      </div>
      <?php endforeach;?>
    </div>
  </div>
</div>
