<?php
/**
 * The html template file of all method of project module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     project
 * @version     $Id: index.html.php 5094 2013-07-10 08:46:15Z chencongzhi520@gmail.com $
 */
?>
<?php include '../../common/view/header.html.php';?>
<div id='mainMenu' class='clearfix'>
  <?php if($type == 'project'):?>
  <div class='btn-toolbar pull-left'>
    <?php echo html::a(inlink("browse", "projectID=&type=project&browseType=icharges&orderBy=$orderBy&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}"), "<span class='text'>{$lang->project->icharges}</span>", '', "class='btn btn-link' id='ichargesTab'");?>
  </div>
  <?php endif;?>
  <div class='btn-toolbar pull-right'>
  <?php 
  $param = $type == 'plan' ? "projectID=$projectID" : '';
  common::printLink('project', 'create', $param, "<i class='icon-plus'></i> " . ($type == 'plan' ? $lang->project->createPlan : $lang->project->create), '', "class='btn btn-primary'")
  ?>
  </div>
</div>
<div id='mainContent'>
  <?php if(!$projects):?>
  <div class="table-empty-tip">
    <p> 
      <span class="text-muted"><?php echo $type == 'plan' ? $lang->project->noPlan : $lang->project->noProject;?></span>
      <?php if(common::hasPriv('project', 'create')):?>
      <span class="text-muted"><?php echo $lang->youCould;?></span>
        <?php
        $param = $type == 'plan' ? "projectID=$projectID" : '';
        common::printLink('project', 'create', $param, "<i class='icon-plus'></i> " . ($type == 'plan' ? $lang->project->createPlan : $lang->project->create), '', "class='btn btn-info'")
        ?>  
      <?php endif;?>
    </p>
  </div>
  <?php else:?>
  <form class='main-table' id='projectForm' method='post' data-ride='table'>
    <table class='table has-sort-head table-fixed' id='projectList'>
      <?php $vars = $type == 'plan' ? "projectID=$projectID&type=plan&browseType=$browseType&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}" : "projectID=&type=project&browseType=$browseType&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
      <thead>
        <tr>
          <th class='c-id'>
            <!--div class="checkbox-primary check-all" title="<?php echo $lang->selectAll?>">
              <label></label>
            </div-->
            <?php common::printOrderLink('id', $orderBy, $vars, $lang->idAB);?>
          </th>
          <th><?php common::printOrderLink('name', $orderBy, $vars, $type == 'plan' ? $lang->project->planName : $lang->project->name);?></th>
          <th class='w-100px'><?php common::printOrderLink('owner', $orderBy, $vars, $type == 'plan' ? $lang->project->planLeading : $lang->project->owner);?></th>
          <th class='w-100px'><?php common::printOrderLink('begin', $orderBy, $vars, $lang->project->begin);?></th>
          <th class='w-90px'><?php common::printOrderLink('end', $orderBy, $vars, $lang->project->end);?></th>
          <th class='w-100px'><?php common::printOrderLink('openedBy', $orderBy, $vars, $lang->project->openedBy);?></th>
          <th class='w-100px'><?php common::printOrderLink('openedDate', $orderBy, $vars, $type == 'plan' ? $lang->project->createDate : $lang->project->openedDate);?></th>
          <th class='w-100px'><?php echo $lang->project->actions;?></th>
        </tr>
      </thead>
      <tbody class='sortable' id='projectTableList'>
        <?php foreach($projects as $project):?>
        <tr data-id='<?php echo $project->id ?>'>
          <td class='c-id'>
            <!-- div class="checkbox-primary">
              <input type='checkbox' name='projectIDList[<?php echo $project->id;?>]' value='<?php echo $project->id;?>' />
              <label></label>
            </div -->
            <?php printf('%03d', $project->id);?>
          </td>
          <td class='text-left' title='<?php echo $project->name?>'>
          <?php echo html::a($this->createLink('project', 'view', 'project=' . $project->id), $project->name); ?>
          </td>
          <td><?php echo $users[$project->owner];?></td>
          <td><?php echo $project->begin;?></td>
          <td><?php echo $project->end;?></td>
          <td><?php echo $users[$project->openedBy];?></td>
          <td><?php echo substr($project->openedDate, 0, 10);?></td>
          <td class='c-actions'>
            <?php if($project->parent > 0):?>
            <?php $project->supplier ? print('<button type="button" class="disabled btn"><i class="disabled icon-plus"></i></button>') : common::printIcon('project', 'chooseSupplier', "planID=$project->id", $project, 'list', 'plus');?>
            <?php else:?>
            <?php common::printIcon('project', 'create', "parent=$project->id", $project, 'list', 'treemap-alt', '', '', '', '', $lang->project->createPlan);?>
            <?php endif;?>
            <?php common::printIcon('project', 'edit', "projectID=$project->id", $project, 'list');?>
            <?php common::printIcon('project', 'delete', "projectID=$project->id", $project, 'list', 'close', 'hiddenwin');?>
          </td>
        </tr>
        <?php endforeach;?>
      </tbody>
    </table>
    <?php if($project):?>
    <div class='table-footer'>
      <?php $pager->show('right', 'pagerjs');?>
    </div>
    <?php endif;?>
  </form>
</div>
<?php endif;?>
<script>
$("#<?php echo $browseType;?>Tab").addClass('btn-active-text');
<?php if($type != 'plan'):?>
$('#subNavbar').find('li[data-id="plans"]').removeClass('active');
<?php endif;?>
</script>
<?php js::set('orderBy', $orderBy)?>
<?php include '../../common/view/footer.html.php';?>
