<?php
/**
 * The view file of project module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     project
 * @version     $Id: view.html.php 4808 2013-06-17 05:48:13Z zhujinyonging@gmail.com $
 * @link        http://www.zentao.net
 */
?>
<?php $browseLink = $this->session->projectList ? $this->session->projectList : $this->createLink('project', 'index');?>
<div id="mainMenu" class="clearfix">
  <div class="btn-toolbar pull-left">
    <?php echo html::a($browseLink, '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, '', "class='btn btn-secondary'");?>
    <div class="divider"></div>
    <div class="page-title">
      <span class="label label-id"><?php echo $project->id?></span>
      <span class="text" title='<?php echo $project->name;?>'>
        <?php if($project->parent > 0) echo '<span class="label label-badge label-primary no-margin">' . $this->lang->project->devPlan . '</span>';?>
        <?php if($project->parent > 0) echo isset($project->parentName) ? html::a(inlink('view', "projectID={$project->parent}"), $project->parentName) . ' / ' : '';?><?php echo $project->name;?>
      </span>
      <?php if($project->deleted):?>
      <span class='label label-danger'><?php echo $lang->project->deleted;?></span>
      <?php endif;?>

    </div>
  </div>
</div>
<div id="mainContent" class="main-row">
  <div class="main-col col-8">
    <div class="cell">
      <div class="detail">
        <div class="detail-title"><?php echo $project->parent > 0 ? $lang->project->planDesc : $lang->project->desc;?></div>
        <div class="detail-content article-content">
          <?php echo !empty($project->desc) ? $project->desc : "<div class='text-center text-muted'>" . $lang->noData . '</div>';?>
        </div>
      </div>
      <?php if(!empty($teamMembers) and !$project->parent):?>
      <?php endif;?>
      <?php if(!empty($project->supplier)):?>
      <div class='detail'>
        <div class='detail-title'><?php echo $lang->supplier->view;?></div>
        <div class='detail-content article-content'>
          <table class='table table-hover table-fixed'>
            <thead>
              <tr class='text-center'>
                <th> <?php echo $lang->project->supplier;?></th>
                <th><?php echo $lang->project->nodeDomain;?></th>
                <th><?php echo $lang->project->nodeProduct;?></th>
                <th><?php echo $lang->project->nodePlan;?></th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td class='text-left' title='<?php echo $supplier->name?>'><?php echo !common::hasPriv('supplier', 'view') ? $supplier->name : html::a($this->createLink('supplier', 'view', "supplierID={$supplier->id}", '', true), $supplier->name, '', "class='iframe'");?></td>
                <td><?php if($linkedSite) echo html::a($this->saas->createLoginLink($linkedSite), 'http://' . $linkedSite->fullDomain, '_blank');?></td>
                <td><?php echo zget($nodeProducts, $project->nodeProduct, '');?></td>
                <td title='<?php echo zget($nodePlans, $project->nodePlan, '')?>'><?php echo zget($nodePlans, $project->nodePlan, '');?></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <?php endif;?>
      <?php include '../../common/view/action.html.php';?>
    </div>
    <?php if(!$project->deleted):?>
    <div class='main-actions'>
      <div class="btn-toolbar">
        <?php if(!$project->deleted):?>
        <?php
        if($project->parent == 0)
        {
            common::printIcon('project', 'start',         "projectID=$project->id", $project, 'button', 'play',    '', 'iframe', true, '', $lang->project->start);
            common::printIcon('project', 'activate',      "projectID=$project->id", $project, 'button', 'magic',   '', 'iframe', true, '', $lang->project->activate);
            common::printIcon('project', 'close',         "projectID=$project->id", $project, 'button', 'off',     '', 'iframe', true, '', $lang->project->close);
            common::printIcon('project', 'manageMembers', "projectID=$project->id", $project, 'button', 'persons', '', '', '', '', $lang->project->manageMembers);
            common::printIcon('project', 'create',        "projectID=$project->id", $project, 'button', 'treemap-alt', '', '', '', '', $lang->project->createPlan); 
        }

        if($project->parent > 0 and empty($project->supplier)) common::printIcon('project', 'chooseSupplier', "planID=$project->id", $project, 'list', 'plus', '', '', '', '', $lang->project->chooseSupplier); 
        $lang->project->editPlan = $project->parent ? $lang->project->editPlan : '';
        common::printIcon('project', 'edit', "projectID=$project->id", $project, 'button', '', '', '', '', '', $lang->project->editPlan);
        common::printIcon('project', 'delete', "projectID=$project->id", $project, 'button', 'trash', 'hiddenwin', '', '', '', $lang->delete);
        ?>
        <?php endif;?>
      </div>
    </div>
    <?php endif;?>
  </div>
  <div class="side-col col-4">
    <div class="cell">
      <div class='tabs'>
        <ul class='nav nav-tabs'>
          <li class='active'><a href='#legendBasic' data-toggle='tab'><?php echo $lang->project->legendBasic;?></a></li>
        </ul>
        <div class='tab-content'>
          <div class='tab-pane active' id='legendBasic'>
            <table class="table table-data">
              <tbody>
                <tr>
                  <th class='w-80px'><?php echo $project->parent > 0 ? $lang->project->planLeading : $lang->project->owner;?></th>
                  <td><?php echo zget($users, $project->owner, $project->owner);?></td>
                </tr>
                <tr>
                  <th><?php echo $lang->project->begin;?></th>
                  <td><?php echo $project->begin;?></td>
                </tr>
                <tr>
                  <th><?php echo $lang->project->end;?></th>
                  <td><?php echo $project->end;?></td>
                </tr>
                <tr>
                  <th><?php echo $lang->project->openedBy;?></th>
                  <td><?php echo zget($users, $project->openedBy);?></td>
                </tr>
                <tr>
                  <th><?php echo $project->parent > 0 ? $lang->project->createDate : $lang->project->openedDate;?></th>
                  <td><?php echo $project->openedDate;?></td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <?php if(!$project->parent):?>
    <div class="cell">
      <div class="detail">
        <ul class='nav nav-tabs'>
          <li class='active'><a href='#legendAcl' data-toggle='tab'><?php echo $lang->project->team;?></a></li>
        </ul>
        <div class="detail-content article-content">
            <?php foreach($teamMembers as $teamMember):?>
            <div class="col-xs-6"><i class="icon icon-person icon-sm text-muted"></i> <?php echo zget($users, $teamMember->account);?></div>
            <?php endforeach;?>
        </div>
      </div>
    </div>
    <div class="cell">
      <div class='tabs'>
        <ul class='nav nav-tabs'>
          <li class='active'><a href='#legendAcl' data-toggle='tab'><?php echo $lang->project->acl;?></a></li>
        </ul>
        <div class='tab-content'>
          <div class='tab-pane active' id='legendAcl'>
            <p><?php echo $lang->project->aclList[$project->acl];?></p>
            <?php if($project->acl == 'custom'):?>
            <p>
              <?php
              $whitelist = explode(',', $project->whitelist);
              foreach($whitelist as $groupID) if(isset($groups[$groupID])) echo $groups[$groupID] . '&nbsp;';
              ?>
            </p>
            <?php endif;?>
          </div>
        </div>
      </div>
    </div>
    <?php endif;?>
  </div>
</div>
<div id="mainActions" class='main-actions'>
</div>
<script>
<?php if(!$project->parent):?>
$('#subNavbar').find('li[data-id="plans"]').removeClass('active');
<?php else:?>
$('#subNavbar').find('li[data-id="view"]').removeClass('active');
<?php endif;?>
</script>
