<?php if($supplier->site) $site = $this->loadModel('saas')->getSiteByID($supplier->site);?>
<?php if(empty($site)):?>
<?php if(!$this->saas->checkSiteLimit()):?>
<tr class='supplier'>
  <td colspan='2'>
    <div class='alert alert-warning'><?php echo $lang->saas->notice->siteLimit;?></div>
    <?php echo html::hidden('type', 'new')?>
  </td>
</tr>
<?php else:?>
<tr class='supplier'>
  <th><?php echo $lang->saas->subDomain;?></th>
  <td class='required'>
    <div class='input-group'>
      <?php echo html::input('subDomain', '', "class='form-control'");?>
      <span class='input-group-addon'><strong class='red'>.<?php echo $config->saas->domain?></strong></span>
    </div>
  </td>
  <td><?php echo $lang->saas->notice->domain;?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->newProduct;?></th>
  <td class='required'>
    <div class='input-group'>
      <?php echo html::input('product', $project->name, "class='form-control'");?>
      <span class='input-group-addon'></span>
      <?php echo html::input('productCode', '', "class='form-control' placeholder='{$lang->saas->productCode}'");?>
    </div>
  </td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->newPlan;?></th>
  <td class='required'><?php echo html::input('plan', $plan->name, "class='form-control'");?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->editUser;?></th>
  <td><?php echo html::select('user[]', $users, $teamMembers, "class='form-control chosen' multiple");?></td>
  <td><?php echo $lang->saas->notice->importUser;?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->version;?></th>
  <td><?php echo html::select('version', $lang->saas->versionList, '', "class='form-control chosen'");?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->adminName?></th>
  <td><?php echo html::input('admin', '', "class='form-control'");?></td>
  <td><?php echo $lang->saas->notice->name;?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->adminPasswd;?></th>
  <td><?php echo html::password('password1', '', "class='form-control'");?></td>
  <td><?php echo $lang->saas->notice->passwd;?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->confirmPasswd;?></th>
  <td><?php echo html::password('password2', '', "class='form-control'");?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->adminEmail?></th>
  <td class='required'><?php echo html::input('email', $supplier->email, "class='form-control'");?></td>
  <td><?php echo html::hidden('type', 'new')?></td>
</tr>
<?php endif;?>
<?php else:?>
<?php
$saasProducts = $this->saas->getNodeProducts($supplier->site, $project->id);
reset($saasProducts);

$saasPlans = $this->saas->getNodePlans($supplier->site, key($saasProducts));
?>
<tr class='supplier'>
  <th><?php echo $lang->saas->subDomain;?></th>
  <td><?php echo $site->subDomain . '.' . $config->saas->domain?></td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->product;?></th>
  <td class='required'>
    <div class='input-group'>
      <span id='productBox'><?php echo html::select('product', $saasProducts, key($saasProducts), "class='form-control'");?></span>
      <span id='newProductBox' class='hidden'>
        <div class='input-group'>
          <?php echo html::input('newProduct', $project->name, "class='form-control chosen'");?>
          <span class='input-group-addon'></span>
          <?php echo html::input('productCode', '', "class='form-control' placeholder='{$lang->saas->productCode}'");?>
        </div>
      </span>
      <span class='input-group-addon'>
        <div class='checkbox-primary'>
          <input type='checkbox' id='createProduct' name='createProduct' value='1' />
          <label for='createProduct'><?php echo $lang->supplier->newBuilt;?></label>
        </div>
      </span>
    </div>
  </td>
</tr>
<tr class='supplier'>
  <th><?php echo $lang->saas->plan;?></th>
  <td class='required'>
    <div class='input-group'>
      <span id='planBox'><?php echo html::select('plan', $saasPlans, '', "class='form-control chosen'");?></span>
      <span id='newPlanBox' class='hidden'><?php echo html::input('newPlan', $plan->name, "class='form-control'");?></span>
      <span class='input-group-addon'>
        <div class='checkbox-primary'>
          <input type='checkbox' id='createPlan' name='createPlan' value='1' />
          <label for='createPlan'><?php echo $lang->supplier->newBuilt;?></label>
        </div>
      </span>
    </div>
  </td>
  <td>
    <?php
    echo html::hidden('type', 'append');
    echo html::hidden('siteID', $supplier->site);
    ?>
  </td>
</tr>
<script>
$('#createProduct').change(function()
{
    if($(this).prop('checked'))
    {
        $('#newProductBox').removeClass('hidden');
        $('#productBox').addClass('hidden');
        $('#newPlanBox').removeClass('hidden');
        $('#planBox').addClass('hidden');
        $('#createPlan').closest('.input-group-addon').addClass('hidden');
    }
    else
    {
        $('#newProductBox').addClass('hidden');
        $('#productBox').removeClass('hidden');
        $('#newPlanBox').addClass('hidden');
        $('#planBox').removeClass('hidden');
        $('#createPlan').closest('.input-group-addon').removeClass('hidden');
        $('#createPlan').change();
    }
});

$('#createPlan').change(function()
{
    if($(this).prop('checked'))
    {
        $('#newPlanBox').removeClass('hidden');
        $('#planBox').addClass('hidden');
    }
    else
    {
        $('#newPlanBox').addClass('hidden');
        $('#planBox').removeClass('hidden');
    }
});
$('#product').change(function()
{
    $('#planBox').load(createLink('saas', 'ajaxGetNodePlans', "siteID=<?php echo $supplier->site;?>&productID=" + $(this).val()));
})
</script>
<?php endif;?>
